Skip to main content
GET
/
serviceorders
/
{id}
Retrieve a Service Order
curl --request GET \
  --url https://commerce.driv.ly/api/serviceorders/{id}
{
  "data": {
    "id": "<string>",
    "billToCompany": "<string>",
    "consignmentCompany": "<string>",
    "invoice": "<string>",
    "service": "<string>",
    "serviceQuote": "<string>",
    "statusURL": "<string>",
    "attachments": [
      "<string>"
    ]
  },
  "success": true
}

Path Parameters

id
string
required

Service Order is uniquely identified by id

Query Parameters

depth
integer

The number of levels of related objects to include in the response

Response

Service Order Found

data
Service Order · object
Example:
{
"id": "sord_8d93j2k4s9d2",
"invoice": "Invoice ID",
"service": "Service ID",
"statusURL": "http://example.com/status",
"serviceQuote": "Service Quote ID",
"billToCompany": "Company ID",
"consignmentCompany": "Company ID"
}
success
boolean